html {
    font-family: 'EB GaramondQuestrial', sans-serif;
    color: black;    
}

body {
    background-image: url(/media/theme/bkg.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: fixed;
}

.fullscreen {
    width: 100%;
    height: 100vh;
}

.border-left {
    border-left-style: solid;
    border-left-width: 0.15rem;
    border-left-color: rgba(252, 250, 250, 0.986);
    padding: 1rem;
}

.border-top {
    border-top-style: solid;
    border-top-width: 0.15rem;
    border-top-color: rgba(255, 255, 255, 0.377);
}

.border-bottom {
    border-bottom-style: solid;
    border-bottom-width: 0.15rem;
    border-bottom-color: rgb(248, 244, 244);
}

.grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1rem;
}

a:-webkit-any-link, #hamburger-container, button, .project-img *, .fa a {
    cursor:pointer
}

* {
    cursor: default;
}


        #overlay {
            display: none;
            width: 100%;
            height: 100vh;
            background-color: rgba(0, 0, 0, 0.836);
            z-index: 1;
            position: fixed;
            top: 0;
            color: white;
        }
            #overlay > p {
                text-align: left;
                margin: 25% 5%;
                line-height: 1.5rem;

            }

        aside {
            float: right;
            background-color: rgba(0, 0, 0, 0);
            width: 5rem;
            height: 100vh;
        }
            #hamburger-container { 
                background-color: rgba(248, 250, 250, 0);
                position: fixed;
                right: 2%;
                top: 45%;
                width: 5rem;
                z-index: 1;
                border: none;
            }
                .hamburger {
                    width: 3rem;
                    height: 0.25rem;
                    background-color: rgba(241, 239, 239, 0.767);
                    margin: 1rem;
                }                
                    #navigation-box {
                        display: none;     /*  !!! display:  NONE  !!!  */
                        justify-content: space-around;
                        background-color: rgba(0, 255, 255, 0);
                        color: rgb(255, 255, 255);
                        position: fixed;
                        right: 0;
                        top: 25%;
                        width: 100%;
                        z-index: 1;                        
                        padding: 0;
                        margin: 0;
                    }       
                        #navigation-box p {
                            margin: auto;
                            font-size: 2rem;
                        }    
                        #navigation-box ul, ul a {
                            font-size: 1.5rem;
                            list-style-type: none;
                            color: inherit;
                            text-decoration: none;
                        }
                        #navigation {
                            display: flex;
                            flex-direction: column;
                            font-size: 2rem;
                            padding:  0rem 2rem 0rem 0.8rem ;
                            list-style-type: none;
                            border-style: solid;
                            border-color: white;
                            border-width: 0rem 0rem 0rem 0.12rem;
                            line-height: 3rem;
                        }  
                        #navigation a {
                            text-decoration: none;
                            color: white;
                        }   
                        #navigation a:hover, a:hover, li:hover {
                            color: blue;
                            font-weight: bold;
                        }

                        .myProjects-list {
                            padding-left: 1rem;
                            line-height: 2.3rem;
                        }
                            .myProjects-list ul {
                                padding: 0;
                            }


    section {
        min-height: 100vh;
    }

    .projects {     /*     Projects Long Description      */
        display: block;
        color: white;
        width: 80%;
        margin: auto;         
    }
        .title {  
            width: 100%;          
            display: flex;
            justify-content: space-around;            
            padding: 2rem 0rem
        }
        
            a {
                text-decoration: none;
                color: inherit;            
            }

            .title h2 {
                font-size: 40px;
                margin: 0;
            }
        
            .used-tech i{
                font-size: 20px;
            }

        .project-decription {
            text-align: justify;
        }

        h4 {
            margin: 0;
        }

        .project-decription img {
            width: 90%; 
            margin: 2rem auto;
        }

        iframe{
            width: 100%;
            height: 100vh;
            margin: 1rem 0rem;
        }


@media (max-width:1000px) {
    .grid {
        display: block;
        grid-template-columns: 1fr;
        gap: 1rem;
    }

    img {
        width: 100%;
    }

    .title {  
        width: 90%;          
        display: block;
    }   
        .used-tech {
            display: flex;
            justify-content: center;
            gap: 1rem;
        }

    #navigation-box {
        flex-direction: column-reverse;
        width: 90%;
        top: 10%;
    }
        #navigation-box p {
            margin: 1rem 0rem 0.5rem 0rem;
            font-size: 2rem;
        } 

    #navigation a{
        font-size: 1.5rem;
        line-height: 2rem;
    }

    .fullscreen {
        height: auto;
    }

    #video-container {
        padding: 5rem;
    }

}